| Home | Libraries | People | FAQ | More

## Macro BOOST_VMD_SEQ_PUSH_BACK

BOOST_VMD_SEQ_PUSH_BACK — appends an element to the end of a seq.

## Synopsis

    // In header: <boost/vmd/seq/push_back.hpp>

    BOOST_VMD_SEQ_PUSH_BACK(seq, elem)

## Description

seq = seq to to append an element to. elem = element to append.

If the seq is an empty seq the result is a seq with the single element. Otherwise the result is a seq after adding the element to the end.